# -*- coding: utf-8 -*-

def setup():
    """
    Configure the settings (this happens as a side effect of accessing the
    first setting), configure logging and populate the app registry.
    """
    from rpcd.conf import settings
    from rpcd.conf.log import configure_logging

    configure_logging(settings.LOGGING_CONFIG, settings.LOGGING)
