# -*- coding: utf-8 -*-
from typing import List, Dict

import databases
from pydantic.networks import AnyUrl

from rpcd.conf import settings


def get_db(database_url: AnyUrl) -> databases.Database:
    # min_size=10, max_size=200 放到配置文件url中
    database = databases.Database(database_url)
    return database

database = get_db(settings.DATABASES['default']['url'])